### Method

# Gio File set_attributes_async

#### Declaration

    void
    g_file_set_attributes_async (
      GFile* file,
      GFileInfo* info,
      GFileQueryInfoFlags flags,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously sets the attributes of `file` with `info`.

For more details, see g_file_set_attributes_from_info(), which is the synchronous version of this call.

When the operation is finished, `callback` will be called. You can then call `g_file_set_attributes_finish()` to get the result of the operation.

This method completes asynchronously. Use `g_file_set_attributes_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`info`

  Type: `GFileInfo`

  A `GFileInfo`.

  The data is owned by the caller of the method.

`flags`

  Type: `GFileQueryInfoFlags`

  A `GFileQueryInfoFlags`.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.